image: node:latest

stages:
  - deploy

pages:
  cache:
    paths:
    - node_modules/

  stage: deploy
  script:
  - npm install -g @angular/cli@11.0.7
  - npm install
  - ng build --prod --deploy-url /angular11-gitlab-pages/
  - mv dist/angular11-gitlab-pages/* public/
  artifacts:
    paths:
    - public
  only:
  - master
